RS Infer
Server Endpoints

/classify/true-false

True/false judgement (NLI entailment of an assertion). Either pass a `question` (auto-reworded into an assertion) or give the `assertion` directly. Returns the probability that each `input` entails the assertion, plus a boolean `is_true` at the given `threshold` (default 0.5).

POST
/classify/true-false

True/false judgement (NLI entailment of an assertion). Either pass a question (auto-reworded into an assertion) or give the assertion directly. Returns the probability that each input entails the assertion, plus a boolean is_true at the given threshold (default 0.5).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/classify/true-false" \  -H "Content-Type: application/json" \  -d '{    "model": "mnli",    "input": "Hey, lunch tomorrow? :)",    "question": "Is this email important?"  }'
{  "object": "classification.true_false",  "model": "string",  "label": true,  "is_true": true,  "true_probability": 0.1,  "assertion": "string",  "usage": {    "prompt_tokens": 0,    "total_tokens": 0  }}